Bug 204903 - security/john: Fix OPENMP option having no effect
Summary: security/john: Fix OPENMP option having no effect
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-30 04:27 UTC by John W. O'Brien
Modified: 2016-01-25 19:13 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback-
pi: merge-quarterly-


Attachments
security/john: Optionally build with OpenMP-capable compiler (2.40 KB, patch)
2015-11-30 04:27 UTC, John W. O'Brien
koobs: maintainer-approval+
Details | Diff
john-1.7.9.j.7_2 testport log with OPENMP option set (90.55 KB, text/plain)
2015-11-30 04:28 UTC, John W. O'Brien
no flags Details
poudriere-john-1.7.9.j.7_1_93amd.log (80.70 KB, text/x-log)
2016-01-16 14:40 UTC, w.schwarzenfeld
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2015-11-30 04:27:35 UTC
Created attachment 163670 [details]
security/john: Optionally build with OpenMP-capable compiler

The default compiler does not understand the -fopenmp flag (at least not in 10.1R). The attached patch fixes this.

Changelog
=========

*   Specify USES=compiler:openmp when OPENMP option is set
*   While here, pet portlint w.r.t. the params.h patch


QA
==

portlint: OK (0 fatal, 2 warnings)
testport: OK (see attached)
Comment 1 John W. O'Brien 2015-11-30 04:28:12 UTC
Created attachment 163671 [details]
john-1.7.9.j.7_2 testport log with OPENMP option set
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-16 12:09:39 UTC
This issue has reached maintainer timeout (6+ weeks)

@Alexey, I'm happy to reset assignment if you're too busy
Comment 3 Kurt Jaeger freebsd_committer 2016-01-16 12:29:15 UTC
testbuild@work
Comment 4 Kurt Jaeger freebsd_committer 2016-01-16 12:47:39 UTC
Builds OK on 11a, 10.2a+i, but fails to build on 9.3a:

http://people.freebsd.org/~pi/logs/security__john-93a-1452947339.txt
Comment 5 w.schwarzenfeld 2016-01-16 13:24:18 UTC
OMPFLAGS=-msse2 ? (I had this problem a time ago, this solved it).
Comment 6 w.schwarzenfeld 2016-01-16 14:40:46 UTC
Created attachment 165673 [details]
poudriere-john-1.7.9.j.7_1_93amd.log
Comment 7 w.schwarzenfeld 2016-01-16 14:41:49 UTC
look at this in your testpoudriere.log => note: use -flax-vector-conversions (this worked for me).
Comment 8 commit-hook freebsd_committer 2016-01-16 19:26:43 UTC
A commit references this bug:

Author: pi
Date: Sat Jan 16 19:25:49 UTC 2016
New revision: 406270
URL: https://svnweb.freebsd.org/changeset/ports/406270

Log:
  security/john: Fix OPENMP option having no effect

  PR:		204903
  Submitted by:	John W. O'Brien <john@saltant.com>, w.schwarzenfeld@aon.at
  Approved by:	danfe (maintainer timeout)

Changes:
  head/security/john/Makefile
  head/security/john/files/patch-params.h
  head/security/john/files/patch-src_params.h
Comment 9 w.schwarzenfeld 2016-01-16 19:29:40 UTC
head/security/john/files/patch-params.h
head/security/john/files/patch-src_params.h


The second patch reverse the first. I think both can be  removed.
Comment 10 Kurt Jaeger freebsd_committer 2016-01-16 19:32:53 UTC
Committed, thanks.
Comment 11 John W. O'Brien 2016-01-16 19:36:06 UTC
(In reply to w.schwarzenfeld from comment #9)

The second patch, generated by makepatch as suggested by portlint, *replaced* the first, which the commit removed.

@pi: Thank you!
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-17 05:12:05 UTC
* Re-open for MFH (or set - w/ comment)
* Correctly classify maintainer timeout
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-17 05:12:23 UTC
Comment on attachment 163670 [details]
security/john: Optionally build with OpenMP-capable compiler

Maintainer timeout, implicit approval
Comment 14 Kurt Jaeger freebsd_committer 2016-01-25 19:13:38 UTC
If someone wants to add this to MFH, feel free. I don't think it's that critical.